Payment Method Session - Delete a saved payment method
curl --request DELETE \
--url https://sandbox.birrpay.io/v2/payment-method-sessions/{id} \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_token": "token_9wcXDRVkfEtLEsSnYKgQ"
}
'import requests
url = "https://sandbox.birrpay.io/v2/payment-method-sessions/{id}"
payload = { "payment_method_token": "token_9wcXDRVkfEtLEsSnYKgQ" }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({payment_method_token: 'token_9wcXDRVkfEtLEsSnYKgQ'})
};
fetch('https://sandbox.birrpay.io/v2/payment-method-sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_method_token": "token_9wcXDRVkfEtLEsSnYKgQ"
}Payment Method Session
Payment Method Session - Delete a saved payment method
Delete a saved payment method from the given payment method session.
DELETE
/
v2
/
payment-method-sessions
/
{id}
Payment Method Session - Delete a saved payment method
Path Parameters
The unique identifier for the Payment Method Session
Body
application/json
The payment method token associated with the payment method to be deleted
Example:
"token_9wcXDRVkfEtLEsSnYKgQ"
Response
The payment method has been deleted successfully
The unique identifier of the Payment method
Example:
"token_9wcXDRVkfEtLEsSnYKgQ"
⌘I